import ftcomputing.robo.*;
/**
 * Einfaches Blinker-Programm ber die Lampen an O1 - O3
 * fr das Robo Interface am ersten USB
 * 
 * @author Ulrich Mller
 * @version 01.01.10
 */
public class BlinkerMain
{
	FishFace ft = new FishFace();

	public static void main() {
		BlinkerMain mf = new BlinkerMain();
		System.out.println("Blinker gestartet");
		System.out.println("FishFace-Version : " + FishFace.Version());
		try { mf.Action(333); }
		catch(FishFaceException eft) { System.out.println(eft);}
		finally { System.out.println("Finito");	}

	}
	private void Action(int Dauer) {
	    ft.openInterface(0, 0);
	    int Runde = 0;
	    do {
	        System.out.println("Runde    : " + ++Runde);
	        ft.setLamp(Out.O1, Dir.On);
	        ft.pause(Dauer);
	        ft.setLamp(Out.O2, Dir.On);
	        ft.pause(Dauer);
	        ft.setLamp(Out.O3, Dir.On);
	        ft.pause(Dauer);
	        ft.setLamp(Out.O1, Dir.Off);
	        ft.setLamp(Out.O2, Dir.Off);
	        ft.setLamp(Out.O3, Dir.Off);
	        ft.pause(Dauer * 2);
	    } while(!ft.finish());
	    ft.closeInterface();
	}


}
