import ftcomputing.roboTX.*;
/**
 * Testrahmen fr RobTXzweiTut. Version mit Instanziierung
 * 
 * @author Ulrich Mller
 * @version 16.03.10
 */
public class RobTXmainZwei {
    static RobTXzwei rob = new RobTXzwei();
    static boolean COMon = false;
    public static void main() {
        System.out.println("Robot gestartet");
        if(!COMon) { rob.start(); COMon = true;}
        //HinUndHer();
        AlleDrei();
        //RobGo();
        //RobListe();
        rob.ende();
        System.out.println("--- Das war's ---");
    }
    private static void HinUndHer() {
       rob.driveHome(Mot.M1);
       rob.driveTo(Mot.M1, 22);
       rob.driveTo(Mot.M1, 11);
       rob.driveTo(Mot.M1, 56);
   }
   
    private static void AlleDrei() {
        for(int i = 0; i < 3; i++) rob.driveHome(Mot.values()[i]);
        rob.driveTo(Mot.M1, 56);
        rob.driveTo(Mot.M2, 22);
        rob.driveTo(Mot.M3, 33);
    }
    
    private static void RobGo() {
        rob.moveHome();
        rob.moveTo(56, 33, 22);
        rob.moveTo(50, 11, 16);
    }
    private static void RobListe() {
        int[][] posListe = new int[][]{{55, 21, 33},{10, 22, 22},{56, 11, 11}};
        rob.moveHome();
        for(int i = 0; i < posListe.length; i++) 
          rob.moveTo(posListe[i][0], posListe[i][1], posListe[i][2]);
    }
}
